Connection profiles

Create a connection profile

Create a new named connection profile for the authenticated user.

POST/api/connection-profiles

Authorization

better-auth.session_token<token>

Cookie session from Better Auth. Requires X-Org-Id header for org-scoped routes.

In: cookie

Request Body

application/json

curl -X POST "https://loading/api/connection-profiles" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{
  "profile": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string",
    "isDefault": true,
    "createdAt": "2019-08-24T14:15:22Z"
  }
}
{
  "type": "https://docs.appstrate.dev/errors/unauthorized",
  "title": "Unauthorized",
  "status": 401,
  "detail": "Invalid or missing session",
  "code": "unauthorized",
  "requestId": "req_abc123"
}